Skip to main content
GET
/
notifications
/
api
/
v1
/
notifications
/
in-app
List in-app notifications
curl --request GET \
  --url https://www.closient.com/notifications/api/v1/notifications/in-app \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "short_id": "<string>",
      "title": "<string>",
      "message": "<string>",
      "read": true,
      "created": "<string>",
      "action_url": "",
      "action_text": ""
    }
  ],
  "pagination": {
    "page": 2,
    "page_size": 2,
    "total_count": 1,
    "total_pages": 2,
    "has_next": true,
    "has_previous": true,
    "unread_count": 1
  }
}

Authorizations

X-API-Key
string
header
required

Query Parameters

unread_only
boolean
default:false

If true, return only notifications where read=false.

page
integer
default:1

Page number (1-indexed).

Required range: x >= 1
page_size
integer
default:25

Number of items per page (max 100).

Required range: 1 <= x <= 100

Response

200 - application/json

OK

data
InAppNotificationSchema · object[]
required
pagination
NotificationPaginationMeta · object
required

Pagination metadata extended with an unread-count summary.

Identical to :class:apps.core.api.pagination.PaginationMeta plus unread_count so clients can render an inbox badge without a second request.

Example:
{
"has_next": true,
"has_previous": false,
"page": 1,
"page_size": 25,
"total_count": 342,
"total_pages": 14
}